/**
 *********************************************
 * Prototype of styles for horizontal CSS-menu
 * @data 30.06.2009
 *********************************************
 * (X)HTML-scheme:
 *  <div id="menu">
 *      <ul class="menu">
 *          <li><a href="#" class="parent"><span class=topparent>level 1</span></a>
 *              <div><ul>
 *                  <li><a href="#" class="parent"><span>level 2</span></a>
 *                      <div><ul><li><a href="#"><span>level 3</span></a></li></ul></div>
 *                  </li>
 *              </ul></div>
 *          </li>
 *          <li class="last"><a href="#"><span class=topparent> level 1</span></a></li>
 *      </ul>
 *  </div>
 *********************************************
 */




/* menu::base */
div#menu {
    height: 41px;
    padding-left: 6px;
/*
    background: url(images/left.png) no-repeat;
    _background: url(images/left.gif) no-repeat;
*/  
  width:auto;
}


div#menu ul {
    margin: 0;
    padding: 0;
    list-style: none;
/*    float: left;  	Henry: need to kill this to make justify effect both side  */
}


div#menu ul.menu {
display: flex;						/* henry: jusity both side:  place sub items with same padding */
justify-content: space-around;		/* henry: jusity both side:  add same padding before first one and after last one */
}


div#menu li {
    position: relative;
    margin: 0;
    padding: 0 0px 0 0;
    display: block;
    float: left;
    z-index: 9;
    width: auto;
	border: 0px solid red;
}
div#menu ul ul li {
    z-index: 9;
}

/* henry : submenu : top section */
div#menu li div {
    list-style: none;
    float: left;
    position: absolute;
    z-index: 11;
    top: 35px;					/* khoang cach tu sub menu den top line cua parent menu */
    left: 0;
    visibility: hidden;
    width: 250px; 							/*henry control sub menu width here  */
	margin: 0px 0 0 -4px;
    padding: 0; 
    padding-bottom: 10px;
/*    background: url(images/subsubmenu-top.png) no-repeat 0px 0;
    _background: url(images/subsubmenu-top.gif) no-repeat 0px 0;  
*/
 background-color: #4a4646;

   border: 0px solid red;		/* this border control submenu and parent item*/
   border-bottom: 0px;

   transition: opacity .25s ease-in-out;					/* fade effect */
   -moz-transition: opacity .25s ease-in-out;				/* fade effect */
   -webkit-transition: opacity .25s ease-in-out;			/* fade effect */
	filter: alpha(opacity=50);
	opacity:1.0;


}

/* henry : submenu : bottom section */


div#menu ul ul {
	  z-index: 12;
    padding: 0px 4px 20px 4px;
/*
    background: url(images/submenu-bottom.png) no-repeat 0px bottom;
    _background: url(images/submenu-bottom.gif) no-repeat 0px bottom;        
*/
 background-color: #282727;
   border: 2px solid #3c3c3c;
   border-top: 0px;
   border-left: 0px;
   border-right: 0px;
   
	-moz-border-radius:5px;									/* round corner (IE does not work)*/
	-webkit-border-radius:5px;								/* round corner (IE does not work)*/
	-opera-border-radius:5px;								/* round corner (IE does not work)*/
	-khtml-border-radius:5px;								/* round corner (IE does not work)*/
	border-radius:5px;										/* round corner (IE does not work)*/

   opacity: 1.0;											/* fade effect */
   transition: opacity .25s ease-in-out;					/* fade effect */
   -moz-transition: opacity .25s ease-in-out;				/* fade effect */
   -webkit-transition: opacity .25s ease-in-out;			/* fade effect */
	filter: alpha(opacity=100);


    margin: 10px 0 0 0;    
}
div#menu li:hover>div {
    visibility: visible;
}

div#menu a {								/* khong tac dong vao day, vi co tinh huong menu co a, menu khong co a. Vi vay tac dogn vao span thi tot hon */
    position: relative;
    z-index: 10;
    display: block;
    float: left;

    width: auto;
    margin-right: 0px;
    _margin-right: 0px;
    padding:0px 0px 0px 0px;
    white-space: nowrap;
    background: none;
}

div#menu span {
    margin-top: 0px;
	padding: 9px 18px 8px 18px;
    color: #fbfbf3;
    font: normal 18px 'Roboto Condensed',Arial,FreeSans,sans-serif;
    text-transform: uppercase; 

    background: none;
    display: block;
    cursor: pointer;
    background-repeat: no-repeat;
    background-position: 95% 0;
    text-align: center;
	border-right: 0px solid red;
}

.m275 {
    color: yellow !important;
}


/* menu::level 1 henry */

div#menu a:hover {
    background:  url(images/selected-right-sub.png)  no-repeat right -1px;
	text-decoration: none;

}
div#menu a:hover span {
/*    background: url(images/selected-left-sub.png) no-repeat 0 -3px;
*/
}
div#menu li.current a,
div#menu ul.menu>li:hover>a {
    background: url(images/selected-right-sub.png)  no-repeat right -1px;
}
div#menu li.current a span,

div#menu ul.menu>li:hover>a span {
/*    background: url(images/selected-left-sub.png) no-repeat 0 -3px;
*/
}

div#menu ul.menu>li:hover>a span {
	  color: #ec1a22;
}
div#menu li {  }
div#menu li.last { background: none; }

/* menu::level2 henry */
div#menu ul ul li {
    background: none;
    padding: 0;
	text-transform: none;
/*	height: 30px; */
}

div#menu ul ul a {
    height: auto;
    float: none;
    display: block;
    line-height: 20px;
    font-size: 16px;
    color: #c1bfbf;
    z-index: -1;
    padding-left: 10px;
	padding-top: 0px;
	padding-bottom: 0px; 
   white-space: normal;
	margin: 0 8px;
/*    text-transform: uppercase; */
	text-decoration: none;

}
    
div#menu ul ul a span {			/* henry change text in second level here */
    padding: 0px 5px;
    line-height: 16px;
    font-size: 13px;				
	font-weight: normal;

}

font.count{
	color: #797777;
	font-weight: normal;

}


div#menu li.current ul a,
div#menu li.current ul a span {
    background:none;
}



div#menu ul ul a.parent {
  background: url(images/submenu-pointer.png) no-repeat right;
  _background-image: url(images/submenu-pointer-hover.gif);
}
div#menu ul ul a.parent span {
  background:none; 

}
div#menu ul ul a.parent:hover {
  background: url(images/submenu-pointer.png) no-repeat right;
  _background: url(images/submenu-pointer-hover.gif) no-repeat right;
  background-color: #3c3c3c;
}
div#menu ul ul a.parent:hover span {
  background:none; 
}
div#menu ul ul span {
	
    margin-top: 0;
    text-align: left;
}
div#menu ul ul li.last { background: none; }
div#menu ul ul li {
    width: 100%;
}

/* menu::level3 */
div#menu ul ul div {
    width: 250px;
    padding: 0;
    margin: -65px 0 0 235px !important;
	border:0px solid red;
	background: #383737;
	opacity: 100%;
}
div#menu ul ul ul {
    padding: 10px 4px 0 4px;	
}
div#menu ul ul div li {
    position:relative;
    top:-10px;
}

/* lava lamp */
div#menu li.back {
/*    background: url(images/selected-left-sub.png) no-repeat 0 0;
*/
   width: 5px;
    height: 41px;
    z-index: 8;
    position: absolute;
    padding: 0;
    margin: 0px 0 0 0;
}

div#menu li.back .left {
    padding:0;
    width:auto;
    background: url(images/selected-right-sub.png) no-repeat right 0;
    height: 41px;
    margin: 0 0 0 5px;
    float: none;
    position: relative;
    top: 0;
    left: 0;
    visibility: visible;
}


/**************  henry bo sung   *****************************************************/
div#menu div div {						/* chinh sua lai level 3 */
    border: 0px solid red;
    top: 65px;
    left: 60px;
    margin-left: 0px;
    margin-right: 0px;
    padding: 0px;	
 	background-color: #4a4646;			 /* add bg level 3 */
}

div#menu div div div {						/* chinh sua lai level 4 */
    left: -0px;
 	background-color: #525252;			 	/* add bg level 4 */

}



div#menu div {					/* chinh sua lai level 2 */
	margin-top: 10px;
}




div#menu ul ul a {					/* chinh sua lai level 2 */
    width: 93%; 
	margin-left: 0px;
}

div#menu ul ul a:hover {
 background:none;
 border:0px solid red;
}
div#menu ul ul a:hover span {
	background:none;
	color: #07b3e1;
}


div#menu ul ul li span {					/* chinh sua lai level 2: henry : control spacing, line border: tat ca nam o day... */
	border: 0px solid red;
	font-family: 'Roboto Condensed';
	font-size: 14px;
	padding: 10px 5px;
	text-transform: uppercase;
	border-bottom: 1px solid #525151;
}


div#menu ul ul li span:hover{					/* chinh sua lai level 2 */
background: black;
}



div#menu ul ul ul a {				/* chinh sua lai level 3 */
    width: 90%; 
	border: 0px solid red;
}

div#menu ul ul ul ul a {				/* chinh sua lai level 4 */
    width: 90%; 
}


div#menu ul ul ul a span {			/* henry change text in level 3-4*/
	text-transform: none;
}

div#menu ul ul{						/* remove default background in level 3 */
border:0px solid red; 
background:none
}




#menu div.columns { width:220px; 
}

#menu div.columns ul {
    float:left;
    width:220px;
    position:static;
}
#menu div.columns a { white-space:normal; }
#menu div.two { width:440px; }
#menu div.two ul.one div { margin-left:-209px; }
#menu div.two ul.one div div,
#menu div.two ul.two div { margin-left:-9px; }
#menu div.three { width:600px; }
#menu div.three ul.one div { margin-left:-409px; }
#menu div.three ul.two div { margin-left:-209px; }
#menu div.three ul.one div div,
#menu div.three ul.two div div,
#menu div.three ul.three div { margin-left:-9px; }
#menu div.four { width:800px; }
#menu div.four ul.one div { margin-left:-609px; }
#menu div.four ul.two div { margin-left:-409px; }
#menu div.four ul.three div { margin-left:-209px; }
#menu div.four ul.one div div,
#menu div.four ul.two div div,
#menu div.four ul.three div div,
#menu div.four ul.four div { margin-left:-9px; }
#menu div.five { width:1000px; }
#menu div.five ul.one div { margin-left:-809px; }
#menu div.five ul.two div { margin-left:-609px; }
#menu div.five ul.three div { margin-left:-409px; }
#menu div.five ul.four div { margin-left:-209px; }
#menu div.five ul.one div div,
#menu div.five ul.two div div,
#menu div.five ul.three div div,
#menu div.five ul.four div div,
#menu div.five ul.five div { margin-left:-9px; }